A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.
Server Setup
You must enable MCP servers and set up authentication before use. For more information about using Google and Google Cloud remote MCP servers, see Google Cloud MCP servers overview.
MCP Server for Network Management (Connectivity Tests).
Server Endpoints
An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.
The networkmanagement.googleapis.com MCP server has the following MCP endpoint:
- https://networkmanagement.googleapis.com/mcp
MCP Tools
An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.
The networkmanagement.googleapis.com MCP server has the following tools:
| MCP Tools | |
|---|---|
| create_connectivity_test | Creates and runs a Connectivity Test from the source to the destination endpoint. Test runs are billable after the project exceeds its free limit. Note that only test runs with results other than 'UNDETERMINED' are billable. AI agents should poll for results using get_connectivity_test and delete the test resource using delete_connectivity_test after that. |
| get_connectivity_test | Gets the details of a specific Connectivity Test. |
| list_connectivity_tests | Lists all Connectivity Tests owned by a project. |
| delete_connectivity_test | Deletes a specific Connectivity Test. |
Get MCP tool specifications
To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.
| Curl Request |
|---|
curl --location 'https://networkmanagement.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/list", "jsonrpc": "2.0", "id": 1 }' |